# Get a SIP trunk

Fetches a SIP trunk.

```http
GET https://api.pozy.ai/v1/phone-numbers/sip-trunks/{id}
```

- Area: Phone & voice / Voice
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `id` (string, required)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/phone-numbers/sip-trunks/6bfebd43ddc270f6d2c56fc5" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/phone-numbers/sip-trunks/6bfebd43ddc270f6d2c56fc5", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/phone-numbers/sip-trunks/6bfebd43ddc270f6d2c56fc5",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `id`, string
- `label`, string
- `sipHost`, string
- `sipPort`, integer
- `transport`, string: One of `tls`, `tcp`, `udp`
- `termination`, object
  - `uri`, string
  - `username`, string
- `numbersAttached`, integer
- `createdAt`, string (date-time): Can be null
- `numbers`, array of object
  - `id`, string
  - `phoneNumber`, string

```json
{
  "id": "6bfebd43ddc270f6d2c56fc5",
  "label": "string",
  "sipHost": "string",
  "sipPort": 1,
  "transport": "tls",
  "termination": {
    "uri": "string",
    "username": "acme"
  },
  "numbersAttached": 1,
  "createdAt": "2026-10-02T09:00:00.000Z",
  "numbers": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "phoneNumber": "+14155550123"
    }
  ]
}
```
